Get thread messages
curl --request GET \
--url https://api.coldsend.pro/api/public/v1/replies/threads/{thread_id}/messages \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.coldsend.pro/api/public/v1/replies/threads/{thread_id}/messages"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.coldsend.pro/api/public/v1/replies/threads/{thread_id}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.coldsend.pro/api/public/v1/replies/threads/{thread_id}/messages",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.coldsend.pro/api/public/v1/replies/threads/{thread_id}/messages"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.coldsend.pro/api/public/v1/replies/threads/{thread_id}/messages")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.coldsend.pro/api/public/v1/replies/threads/{thread_id}/messages")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"message": "<string>",
"thread_id": "<string>",
"messages": [
{
"reply_id": "<string>",
"from_email": "<string>",
"to_email": "<string>",
"subject": "<string>",
"body_text": "<string>",
"body_html": "<string>",
"is_outgoing": true,
"is_read": true,
"created_at": "2023-11-07T05:31:56Z",
"message_id": "<string>",
"attachments": [
{
"filename": "<string>",
"content_type": "<string>",
"size_bytes": 123,
"gcs_path": "<string>",
"url": "<string>"
}
],
"bounce_category": "<string>",
"cc_recipients": [
"<string>"
],
"bcc_recipients": [
"<string>"
]
}
],
"total_count": 123,
"page": 123,
"limit": 123,
"total_pages": 123,
"has_next": true,
"has_prev": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Replies
Get thread messages
Get the full message history for a conversation thread
Returns all messages in chronological order including:
- Initial campaign email(s)
- Sequence follow-up email(s)
- Incoming replies from the lead
- Outgoing replies from your team
GET
/
api
/
public
/
v1
/
replies
/
threads
/
{thread_id}
/
messages
Get thread messages
curl --request GET \
--url https://api.coldsend.pro/api/public/v1/replies/threads/{thread_id}/messages \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.coldsend.pro/api/public/v1/replies/threads/{thread_id}/messages"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.coldsend.pro/api/public/v1/replies/threads/{thread_id}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.coldsend.pro/api/public/v1/replies/threads/{thread_id}/messages",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.coldsend.pro/api/public/v1/replies/threads/{thread_id}/messages"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.coldsend.pro/api/public/v1/replies/threads/{thread_id}/messages")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.coldsend.pro/api/public/v1/replies/threads/{thread_id}/messages")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"message": "<string>",
"thread_id": "<string>",
"messages": [
{
"reply_id": "<string>",
"from_email": "<string>",
"to_email": "<string>",
"subject": "<string>",
"body_text": "<string>",
"body_html": "<string>",
"is_outgoing": true,
"is_read": true,
"created_at": "2023-11-07T05:31:56Z",
"message_id": "<string>",
"attachments": [
{
"filename": "<string>",
"content_type": "<string>",
"size_bytes": 123,
"gcs_path": "<string>",
"url": "<string>"
}
],
"bounce_category": "<string>",
"cc_recipients": [
"<string>"
],
"bcc_recipients": [
"<string>"
]
}
],
"total_count": 123,
"page": 123,
"limit": 123,
"total_pages": 123,
"has_next": true,
"has_prev": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
API key with format cs_live_xxx
Path Parameters
Thread ID
Query Parameters
Page number
Required range:
x >= 1Items per page
Required range:
1 <= x <= 100Response
Thread messages retrieved
Response for listing replies in a thread.
Thread ID
List of messages
Show child attributes
Show child attributes
Total number of messages
Current page number
Items per page
Total number of pages
Whether there are more pages
Whether there are previous pages
Was this page helpful?

